<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2007 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.12
  $Source$
  $Revision: 3636 $
  $Author: gaugau $
  $Date: 2007-06-29 11:35:30 +0200 (Fr, 29 Jun 2007) $
**********************************************/

define('THEME_IS_XHTML10_TRANSITIONAL',1); // Remove this if you edit this template until
                                           // you have validated it. See docs/theme.htm.

// HTML template for sys_menu
$template_sys_menu = <<<EOT
         |{BUTTONS}|
EOT;

// HTML template for template sys_menu spacer
$template_sys_menu_spacer ="|";

// HTML template for template sub_menu
// special note: I left the java 'hide' off of the first and third buttons to help avoid trouble keeping sys_menu open. :Donnoman

$template_sub_menu = <<<EOT
<table cellpadding="0" cellspacing="0" border="0">
<tr>
    
<!-- BEGIN custom_link -->
	
    <td class=menutable  width="95px" align="center">
            <a href="{CUSTOM_LNK_TGT}" title="{CUSTOM_LNK_TITLE}">{CUSTOM_LNK_LNK}</a>
    </td>
    
<!-- END custom_link -->
         
    
       
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{ALB_LIST_TGT}" title="{ALB_LIST_TITLE}">{ALB_LIST_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{LASTUP_TGT}"  title="{LASTUP_LNK}">{LASTUP_LNK}</a>
    </td>
    
    <td class=menutable width="95px" height="25px" align="center">
            <a href="{LASTCOM_TGT}"  title="{LASTCOM_LNK}">{LASTCOM_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{TOPN_TGT}"  title="{TOPN_LNK}">{TOPN_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{TOPRATED_TGT}"  title="{TOPRATED_LNK}">{TOPRATED_LNK}</a>
    </td>
    
    
    <td class=menutable  width="95px" height="25px" align="center">
            <a href="{FAV_TGT}" title="{FAV_LNK}">{FAV_LNK}</a>
    </td>
    
    
    


	    
  </tr>
</table>

EOT;

// HTML template for sys menu
$template_sys_menu = <<<EOT


<table cellpadding="0" cellspacing="0" border="0">

                       
<!-- BEGIN home -->

                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{HOME_TGT}" title="{HOME_TITLE}">{HOME_LNK}</a></td>
                                        
<!-- END home -->

<!-- BEGIN my_gallery -->
                                        
                                                <td class="menutable" width="95px" height="25px" align="center"> <a href="{MY_GAL_TGT}" title="{MY_GAL_TITLE}">{MY_GAL_LNK}</a></td>
                                        

<!-- END my_gallery -->
<!-- BEGIN allow_memberlist -->


                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{MEMBERLIST_TGT}" title="{MEMBERLIST_TITLE}">{MEMBERLIST_LNK}</a></td>
<!-- END allow_memberlist -->                        

<!-- BEGIN my_profile -->
                             
                                              <td class="menutable" width="95px" height="25px" align="center"> <a href="{MY_PROF_TGT}" title="{MY_PROF_LNK}">{MY_PROF_LNK}</a></td>
                                 
<!-- END my_profile -->
<!-- BEGIN faq -->
                                      
                                                <td class="menutable" width="95px" height="25px" align="center"> <a href="{FAQ_TGT}" title="{FAQ_TITLE}">{FAQ_LNK}</a></td>
                                    
<!-- END faq -->
<!-- BEGIN enter_admin_mode -->
                                      
                                              <td class="menutable" width="95px" height="25px" align="center">  <a href="{ADM_MODE_TGT}" title="{ADM_MODE_TITLE}">{ADM_MODE_LNK}</a></td>
                   
<!-- END enter_admin_mode -->
<!-- BEGIN leave_admin_mode -->
                        
                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{USR_MODE_TGT}" title="{USR_MODE_TITLE}">{USR_MODE_LNK}</a></td>
                            
<!-- END leave_admin_mode -->
<!-- BEGIN upload_pic -->
                                 
                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{UPL_PIC_TGT}" title="{UPL_PIC_TITLE}">{UPL_PIC_LNK}</a></td>
                                     
<!-- END upload_pic -->
<!-- BEGIN register -->
                                        
                                               <td class="menutable" width="95px" height="25px" align="center"> <a href="{REGISTER_TGT}" title="{REGISTER_TITLE}">{REGISTER_LNK}</a></td>
                                        
<!-- END register -->
<!-- BEGIN login -->
<td class="loginbtn" width="95px" height="25px" align="center" style="visibility:hidden"> <a href="{LOGIN_TGT}" title="{LOGIN_LNK}">{LOGIN_LNK}</a></td>
                                       
                                       
<!-- END login -->
<!-- BEGIN logout -->


<td class="logoutbtn" width="95px" height="25px" align="center"><a href="{LOGOUT_TGT}" title="{LOGOUT_LNK}">Logout</a></td>
                                      
<!-- END logout -->

</table>


EOT;





// HTML template for title row of the thumbnail view (album title + sort options)
$template_thumb_view_title_row = <<<EOT

                        <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                                <td width="100%" class="statlink">{ALBUM_NAME}</td>
                                <td class="sortorder_options" style="font-size: 100%;">Title</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=ta" title="{SORT_TA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=td" title="{SORT_TD}">&nbsp;-&nbsp;</a></span></td>
                                <td>&nbsp;&nbsp;</td>
                                <td class="sortorder_options" style="font-size: 100%;">Name</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=na" title="{SORT_NA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=nd" title="{SORT_ND}">&nbsp;-&nbsp;</a></span></td>
                                <td>&nbsp;&nbsp;</td>
                                <td class="sortorder_options" style="font-size: 100%;">Date</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=da" title="{SORT_DA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=dd" title="{SORT_DD}">&nbsp;-&nbsp;</a></span></td>
                                <td>&nbsp;&nbsp;</td>
                                <td class="sortorder_options" style="font-size: 100%;">Position</td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pa" title="{SORT_PA}">&nbsp;+&nbsp;</a></span></td>
                                <td class="sortorder_options" style="font-size: 100%;"><span class="statlink"><a href="thumbnails.php?album={AID}&amp;page={PAGE}&amp;sort=pd" title="{SORT_PD}">&nbsp;-&nbsp;</a></span></td>
                        </tr>
                        </table>
EOT;









// ------------------------------------------------------------------------- //
// BEGIN Mod for Custom login box + statistics                                          //
// ------------------------------------------------------------------------- //
  	$query = "SELECT COUNT(OWNER_ID) FROM {$CONFIG['TABLE_PICTURES']} WHERE owner_id = ".USER_ID;
	$result = mysql_query($query);
	$total_upload = mysql_fetch_assoc($result);
	mysql_free_result($result);
  	
	$query = "SELECT COUNT(author_id) FROM {$CONFIG['TABLE_COMMENTS']} WHERE author_id = ".USER_ID;
	$result = mysql_query($query);
	$total_comments = mysql_fetch_assoc($result);
	mysql_free_result($result);

	$query = "SELECT user_regdate FROM {$CONFIG['TABLE_USERS']} WHERE user_id = ".USER_ID;
	$result = mysql_query($query);
	$regdate = mysql_fetch_assoc($result);
	mysql_free_result($result);

$custom_login_box = <<<EOT
<div style="float:right;width:200px; border:0px #CCCCCC solid;background-image:url(themes/water_drop/images/aerobg.png)" align="left" >
<form action="login.php?referer=index.php" method="post" name="loginbox" style="margin:0px;">

<table border="0" cellpadding="0" cellspacing="2px">
<td>
<input type="text" class="textinput" name="username" tabindex="1" style="width:80px;">
<td>
<input type="checkbox" name="remember_me" tabindex="3">Remember
<tr>
<td> 
<input type="password" name="password" tabindex="2" class="textinput" style="width:80px;">
<td> 
<input type="submit"  name="submitted" value="Login" tabindex="4" class="button" style="width:80px;">
</table>
	</form>
</div>
EOT;
// ------------------------------------------------------------------------- //
// End Mod for Custom login box + statistics                                            //
// ------------------------------------------------------------------------- //

function pageheader($section, $meta = '')
{
    global $CONFIG, $THEME_DIR;
    global $template_header, $lang_charset, $lang_text_dir, $custom_login_box;
	global $total_upload, $total_comments, $regdate; // Mod for Custom statistics 

    $custom_header = cpg_get_custom_include($CONFIG['custom_header_path']);

    header('P3P: CP="CAO DSP COR CURa ADMa DEVa OUR IND PHY ONL UNI COM NAV INT DEM PRE"');
    user_save_profile();
// ------------------------------------------------------------------------- //
// BEGIN Mod for Custom login box + statistics                                         //
// ------------------------------------------------------------------------- //
	$custom_username = stripslashes(USER_NAME);
	if(USER_ID)
		$custom_login_box = <<<EOT
<div style="float:right;width:200px; border:0px #CCCCCC solid;background-image:url(themes/water_drop/images/aerobg.png)" align="left">
              <div> Welcome <strong>{$custom_username}</strong> !</div>
			  <div style="padding-left:10px; height:15px; margin-top:2px;">Joined at : <span style="color:#993366;">{$regdate['user_regdate']}</span>
			  </div>
			  <div style="padding-left:10px; height:15px; margin-top:2px;">Total uploaded file by you : <span style="color:#993366;">{$total_upload['COUNT(OWNER_ID)']}</span>
			  </div>
			  <div style="padding-left:10px; height:15px; margin-top:2px;">Total comment by you : <span style="color:#993366;">{$total_comments['COUNT(author_id)']}</span>
			  </div>
			  <div style="visibility:hidden;padding-left:10px; height:15px; margin-top:3px; margin-bottom:2px;"><a href="logout.php?referer=index.php" title="Logout">Log Out {$custom_username}</a>
			  </div>
          </div>
EOT;
// ------------------------------------------------------------------------- //
// End Mod for Custom login box + statistics                                            //
// ------------------------------------------------------------------------- //
$template_vars = array('{LANG_DIR}' => $lang_text_dir,
        '{TITLE}' => $CONFIG['gallery_name'] . ' - ' . strip_tags(bb_decode($section)),
        '{CHARSET}' => $CONFIG['charset'] == 'language file' ? $lang_charset : $CONFIG['charset'],
        '{META}' => $meta,
        '{GAL_NAME}' => $CONFIG['gallery_name'],
        '{GAL_DESCRIPTION}' => $CONFIG['gallery_description'],
        '{SYS_MENU}' => theme_main_menu('sys_menu'),
        '{SUB_MENU}' => theme_main_menu('sub_menu'),
        '{ADMIN_MENU}' => theme_admin_mode_menu(),
        '{CUSTOM_HEADER}' => $custom_header,
		'{CUSTOM_LOGINBOX}'  => $custom_login_box, // Mod for Custom login box + statistics 
        );

    echo template_eval($template_header, $template_vars);
}

?>












